FreeMat

- Main Page
- Related Pages

vtkIdentColoredPainter

Section: Visualization Toolkit Rendering Classes

# Usage

DEPRECATED. Refer to vtkHardwareSelectionPolyDataPainter instead. This painter will color each polygon in a color that encodes an integer. Doing so allows us to determine what polygon is behind each pixel on the screen.

To create an instance of class vtkIdentColoredPainter, simply invoke its constructor as follows

      obj = vtkIdentColoredPainter

# Methods

The class vtkIdentColoredPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkIdentColoredPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkIdentColoredPainter = obj.NewInstance ()`
- `vtkIdentColoredPainter = obj.SafeDownCast (vtkObject o)`
- `obj.ResetCurrentId ()`
- `obj.ColorByConstant (int constant)`
- `obj.ColorByIncreasingIdent (int plane)`
- `obj.ColorByActorId (vtkProp ActorId)`
- `obj.ColorByVertex ()`
- `vtkProp = obj.GetActorFromId (vtkIdType id)`